/*
 *
 * Copyright © 2016 Vecly OÜ <info@vecly.com>
 *                  Karel Pärlin
 *                  Silver Kits
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 */

#ifndef _HAL_H_
#define _HAL_H_

#ifdef __USBEVAL
// C1111 USB evaluation board LED.
#define LED         P1_1
#define LED_MASK    0x02
#endif

#ifdef __433MODEM
// PINS can be connected to LEDS' with 270 ohm resistor for indication.
// See C1111 USB dongle reference design.
#define PIN5    P1_4
#define PIN6    P1_5
#define PIN8    P1_6
#define PIN10   P1_7

#define PIN56810_MASK   0xF0
#endif

#define USB_ENABLE  P1_0
#define USB_MASK    0x01

#endif // _HAL_H_
